﻿using System.ComponentModel;

namespace DynamicEditors
{
    public class MyModel : INotifyPropertyChanged
    {
        private string _drivingProperty;
        public string DrivingProperty
        {
            get
            {
                return _drivingProperty;
            }
            set
            {
                if (_drivingProperty != value)
                {
                    _drivingProperty = value;
                    OnPropertyChanged("DrivingProperty");
                }
            }
        }

        private string _dependentProperty;
        public string DependentProperty
        {
            get
            {
                return _dependentProperty;
            }
            set
            {
                if (_dependentProperty != value)
                {
                    _dependentProperty = value;
                    OnPropertyChanged("DependentProperty");
                }
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
        protected virtual void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }
}
