﻿using System.Collections.Generic;
using System.ComponentModel;

namespace DynamicEditors
{
    public class MyViewModel : INotifyPropertyChanged
    {
        private List<MyModel> _models;
        public List<MyModel> Models
        {
            get
            {
                return _models;
            }
            set
            {
                if (_models != value)
                {
                    _models = value;
                    OnPropertyChanged("Models");
                }
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
        protected virtual void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }
}
